---

- import_playbook: install-roles.yml

- hosts: localhost
  become: true
  pre_tasks:
    - name: update repositories
      apt: update_cache=yes
      changed_when: False
  vars:
    create_containers: 4
    default_container_name: docker
    default_container_image: alpine
    default_container_command: sleep 1d
    golang_gopath: "$HOME/workspace-go"
    borg_encryption_passphrase: CHANGEME
    borg_repository: m5vz9gp4@m5vz9gp4.repo.borgbase.com:repo
    borg_source_directories:
      - /srv/www
      - /var/lib/automysqlbackup
    borg_exclude_patterns:
      - /srv/www/old-sites
    borg_retention_policy:
      keep_hourly: 3
      keep_daily: 7
      keep_weekly: 4
      keep_monthly: 6
    ubuntu_docker_packages:
      - docker-ce
      - docker-ce-cli
      - containerd.io
    docker_users:
      - joost

  tasks:
    - include_tasks: tasks/users.yml
    - include_tasks: tasks/cron.yml
    - include_tasks: tasks/common.yml
    - include_tasks: tasks/VPN-SSH.yml
    - include_tasks: tasks/packages.yml
    - include_tasks: tasks/npm.yml
    - include_tasks: tasks/docker.yml
    - include_tasks: tasks/gnome.yml
    - include_tasks: tasks/fonts.yml

  roles:
    - geerlingguy.nodejs
    - gantsign.visual-studio-code
    - gantsign.golang
    - pixelart.chrome
    - chaosmail.sublime-text
    - gantsign.postman
    - m3nu.ansible_role_borgbackup
    - andrewrothstein.kubectl
    - andrewrothstein.terraform
    - role: joplin
      users:
        - username: joost
          settings:
            - { key: "sidebarVisibility", val: "1" }
            - { key: "dateFormat", val: "YYYY-MM-DD" }
            - { key: "sync.target", val: "3" } # (2: File system, 3: OneDrive, 5: Nextcloud, 6: WebDAV, 7: Dropbox) :config sync.target 3 :sync  ALL config values: https://joplinapp.org/terminal/
  # - geerlingguy.pip not yet 20.04
  # - geerlingguy.docker not yet 20.04

  # - { role: dotfiles }

  # - role: stephdewit.nvm
  #   nvm_version: HEAD
